org.apache.pdfbox.pdfparser

## Class FDFParser

- java.lang.Object
- - org.apache.pdfbox.pdfparser.BaseParser
  - - org.apache.pdfbox.pdfparser.COSParser
    - - org.apache.pdfbox.pdfparser.FDFParser

All Implemented Interfaces:
  ICOSParser

    public class FDFParser
    extends COSParser

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdfparser.COSParser

`EOF_MARKER, fileLen, initialParseDone, OBJ_MARKER, securityHandler, SYSPROP_EOFLOOKUPRANGE, xrefTrailerResolver`

### Fields inherited from class org.apache.pdfbox.pdfparser.BaseParser

`A, ASCII_CR, ASCII_LF, B, D, DEF, document, E, ENDOBJ_STRING, ENDSTREAM_STRING, J, M, N, O, R, S, source, STREAM_STRING, T`

### Constructor Summary

Constructors
Constructor and Description
`FDFParser(org.apache.pdfbox.io.RandomAccessRead source)` Constructs parser for given file using memory buffer.

### Method Summary

All Methods Instance Methods Concrete Methods
`FDFDocument` `parse()` This will parse the stream and populate the FDFDocument object.

### Methods inherited from class org.apache.pdfbox.pdfparser.COSParser

`checkPages, createRandomAccessReadView, dereferenceCOSObject, getAccessPermission, getEncryption, isLenient, isString, lastIndexOf, parseCOSStream, parseFDFHeader, parseObjectDynamically, parseObjectStreamObject, parsePDFHeader, parseXrefTable, prepareDecryption, resetTrailerResolver, retrieveTrailer, setEOFLookupRange, setLenient`

### Methods inherited from class org.apache.pdfbox.pdfparser.BaseParser

`getObjectKey, isClosing, isClosing, isDigit, isDigit, isEndOfName, isEOF, isEOL, isEOL, isSpace, isSpace, isWhitespace, isWhitespace, parseCOSArray, parseCOSDictionary, parseCOSName, parseCOSString, parseDirObject, readExpectedChar, readExpectedString, readGenerationNumber, readInt, readLine, readLong, readObjectNumber, readString, readString, readStringNumber, skipLinebreak, skipSpaces, skipWhiteSpaces`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FDFParser

    public FDFParser(org.apache.pdfbox.io.RandomAccessRead source)
              throws IOException

Constructs parser for given file using memory buffer.

Parameters:
  `source` - the source of the pdf to be parsed
Throws:
  `IOException` - If something went wrong.

### Method Detail

#### parse

    public FDFDocument parse()
                      throws IOException

This will parse the stream and populate the FDFDocument object.

Returns:
  the parsed FDFDocument
Throws:
  `IOException` - If there is an error reading from the stream or corrupt data is found.